%define homepage http://www.ccux-linux.de/
%define default_bookmarks_file %{_datadir}/bookmarks/default-bookmarks.html
%define firefox_app_id \{ec8030f7-c20a-464f-9b0e-13a3a9e97384\}

%global internal_version        5

%global mozappdir               %{_libdir}/%{name}-%{internal_version}
%global tarballdir              mozilla-release

# xulrunner_version matches the firefox package.
# xulrunner_version_max is first next incompatible xulrunner version
%define xulrunner_version       5.0-1
%define xulrunner_version_max   5.1

%define official_branding       1
%define build_langpacks         1
%define include_debuginfo       0

%if ! %{official_branding}
%define cvsdate 20080327
%define nightly .cvs%{cvsdate}
%else
%define beta  
%define relc
%endif

%define PYVER 2.6

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	Mozilla Firefox Web browser
Name:		firefox
Version:	5.0.1
Release:	1
URL:		http://www.mozilla.org/projects/firefox/
License:	MPLv1.1 or GPLv2+ or LGPLv2+
Group:		Internet/Browser
Source0:	firefox-%{version}%{?beta:b%{beta}}%{?relc:rc%{relc}}.source.tar.bz2
%if %{build_langpacks}
# taken from ftp.mozilla.org/pub/mozilla.org/firefox/releases/%{internal_version}/linux-i686/xpi/
# and stored in firefox-langpacks directory
Source2:	firefox-langpacks-%{version}%{?beta:b%{beta}}%{?relc:rc%{relc}}.tar.bz2
%endif
Source210:	firefox-mozconfig
Source211:	firefox-mozconfig-branded
Source212:	firefox-ccux-default-prefs.js
Source213:	firefox-mozconfig-debuginfo
Source220:	firefox.desktop
Source221:	firefox.sh.in
Source223:	firefox.1

#Build patches
Patch0:         firefox-version.patch
Patch1:         firefox4-jemalloc.patch
Patch2:         firefox4-build-throw.patch

# CCux patches
Patch11:        firefox-default.patch

BuildRoot:	%{_tmppath}/%{name}-buildroot

# Manual build dependencies
BuildRequires:	automoc4
BuildRequires:  libIDL-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gtk2+-devel
BuildRequires:  gnome-vfs-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  krb5-devel
BuildRequires:  pango-devel
BuildRequires:  freetype-devel >= 2.1.9
BuildRequires:  libXt-devel
BuildRequires:  libXrender-devel
BuildRequires:  startup-notification-devel
BuildRequires:	nss-devel
BuildRequires:  nspr-devel
BuildRequires:  qt4-devel
BuildRequires:  wget
BuildRequires:  libjpeg-devel
BuildRequires:  sqlite-devel
BuildRequires:	wireless-tools-devel
BuildRequires:  cairo-devel
BuildRequires: 	xcb-util-devel 
BuildRequires:	yasm
BuildRequires:  libnotify-devel
BuildRequires:  libXxf86vm-devel
BuildRequires:  libXdamage-devel

BuildArch:	i686

Requires:       desktop-file-utils
Requires:       xulrunner >= %{xulrunner_version}
Conflicts:      xulrunner >= %{xulrunner_version_max}

#Automatically resolved build dependencies
BuildRequires: alsa-lib-devel
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: nspr-devel
BuildRequires: xulrunner-devel >= %{xulrunner_version}


%description
Mozilla Firefox is an open-source web browser, designed for standards
compliance, performance and portability.

%prep
%setup -q -c
cd %{tarballdir}

sed -e 's/__RPM_VERSION_INTERNAL__/%{internal_version}/' %{P:%%PATCH0} \
    > version.patch
%{__patch} -p1 -b --suffix .version --fuzz=0 < version.patch


# For branding specific patches.
%patch1 -p1 -b .526152
%patch2 -p1 -b .throw

# CCux patches
%patch11 -p1 -b .default

%if %{official_branding}
# Required by Mozilla Corporation

%else
# Not yet approved by Mozilla Corporation
%endif


%{__rm} -f .mozconfig
%{__cp} %{SOURCE210} .mozconfig
%if %{official_branding}
%{__cat} %{SOURCE211} >> .mozconfig
%endif
%if %{include_debuginfo}
%{__cat} %{SOURCE213} >> .mozconfig
%endif

# Set up SDK path
echo "ac_add_options --with-libxul-sdk=\
`pkg-config --variable=sdkdir libxul`" >> .mozconfig

%build
cd %{tarballdir}

# Mozilla builds with -Wall with exception of a few warnings which show up
# everywhere in the code; so, don't override that.
export MOZ_OPT_FLAGS=$(echo $RPM_OPT_FLAGS | %{__sed} -e 's/-Wall//' | %{__sed} -e 's/-fexceptions/-fno-exceptions/g')
export CFLAGS=$MOZ_OPT_FLAGS
export CXXFLAGS=$MOZ_OPT_FLAGS

export PREFIX='%{_prefix}'
export LIBDIR='%{_libdir}'

MOZ_SMP_FLAGS=-j1
[ -z "$RPM_BUILD_NCPUS" ] && \
     RPM_BUILD_NCPUS="`/usr/bin/getconf _NPROCESSORS_ONLN`"
[ "$RPM_BUILD_NCPUS" -gt 1 ] && MOZ_SMP_FLAGS=%{?_smp_mflags}

INTERNAL_GECKO=%{internal_version}
MOZ_APP_DIR=%{_libdir}/%{name}-${INTERNAL_GECKO}

export LDFLAGS="-Wl,-rpath,${MOZ_APP_DIR}"
make -f client.mk build STRIP="/bin/true" MOZ_MAKE_FLAGS="$MOZ_SMP_FLAGS" MOZ_SERVICES_SYNC="1" PYTHON="/usr/bin/python%{PYVER}"

# create debuginfo for crash-stats.mozilla.com
%if %{include_debuginfo}
#cd %{moz_objdir}
make buildsymbols
%endif

%install
%{__rm} -rf $RPM_BUILD_ROOT
cd %{tarballdir}

INTERNAL_GECKO=%{internal_version}

INTERNAL_APP_NAME=%{name}-${INTERNAL_GECKO}
MOZ_APP_DIR=%{_libdir}/${INTERNAL_APP_NAME}

DESTDIR=$RPM_BUILD_ROOT make install

%{__mkdir_p} $RPM_BUILD_ROOT{%{_libdir},%{_bindir},%{_datadir}/applications}

desktop-file-install --vendor mozilla \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category WebBrowser \
  --add-category Network \
  %{SOURCE220}

# set up the firefox start script
%{__rm} -rf $RPM_BUILD_ROOT%{_bindir}/firefox
XULRUNNER_DIR=`pkg-config --variable=libdir libxul | %{__sed} -e "s,%{_libdir},,g"`
%{__cat} %{SOURCE221} | %{__sed} -e 's,FIREFOX_VERSION,%{internal_version},g' \
                     | %{__sed} -e "s,XULRUNNER_DIRECTORY,$XULRUNNER_DIR,g" > \
  $RPM_BUILD_ROOT%{_bindir}/firefox
%{__chmod} 755 $RPM_BUILD_ROOT%{_bindir}/firefox

# Remove binary stub from xulrunner
%{__rm} -rf $RPM_BUILD_ROOT/%{mozappdir}/firefox
ln -s `pkg-config --variable=libdir libxul`/xulrunner-stub $RPM_BUILD_ROOT/%{mozappdir}/firefox

# set up our default preferences
%{__cat} %{SOURCE212} | %{__sed} -e 's,FIREFOX_RPM_VR,%{version}-%{release},g' > rh-default-prefs

# resolves bug #461880
%{__cat} > $RPM_BUILD_ROOT/%{mozappdir}/browserconfig.properties << EOF
browser.startup.homepage=%{homepage}
EOF

# Export correct locale
%{__cat} > $RPM_BUILD_ROOT/%{mozappdir}/defaults/preferences/firefox-l10n.js << EOF
pref("general.useragent.locale", "chrome://global/locale/intl.properties");
EOF
%{__chmod} 644 $RPM_BUILD_ROOT/%{mozappdir}/defaults/preferences/firefox-l10n.js

# place the preferences
%{__cp} rh-default-prefs $RPM_BUILD_ROOT/%{mozappdir}/defaults/preferences/all-redhat.js
%{__rm} rh-default-prefs

# set up our default bookmarks
%{__rm} -f $RPM_BUILD_ROOT/%{mozappdir}/defaults/profile/bookmarks.html
ln -s %{default_bookmarks_file} $RPM_BUILD_ROOT/%{mozappdir}/defaults/profile/bookmarks.html

%{__install} -p -D -m 644 %{SOURCE223} $RPM_BUILD_ROOT%{_mandir}/man1/firefox.1

%{__rm} -f $RPM_BUILD_ROOT/%{mozappdir}/firefox-config

#cd $RPM_BUILD_ROOT/%{mozappdir}/chrome
#find . -name "*" -type d -maxdepth 1 -exec %{__rm} -rf {} \;
#cd -

#%{__cat} > $RPM_BUILD_ROOT/%{mozappdir}/defaults/pref/firefox-l10n.js << EOF
#pref("general.useragent.locale", "chrome://global/locale/intl.properties");
#EOF
#%{__chmod} 644 $RPM_BUILD_ROOT/%{mozappdir}/defaults/pref/firefox-l10n.js

%{__cp} other-licenses/branding/%{name}/default16.png \
        $RPM_BUILD_ROOT/%{mozappdir}/icons/
%{__mkdir_p} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps
%{__cp} other-licenses/branding/%{name}/default16.png \
        $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps/firefox.png
%{__mkdir_p} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/22x22/apps
%{__cp} other-licenses/branding/%{name}/default22.png \
        $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/22x22/apps/firefox.png
%{__mkdir_p} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/24x24/apps
%{__cp} other-licenses/branding/%{name}/default24.png \
        $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/24x24/apps/firefox.png
%{__mkdir_p} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
%{__cp} other-licenses/branding/%{name}/default32.png \
        $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/firefox.png
%{__mkdir_p} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
%{__cp} other-licenses/branding/%{name}/default48.png \
        $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/firefox.png
%{__mkdir_p} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/256x256/apps
%{__cp} other-licenses/branding/%{name}/default256.png \
        $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/256x256/apps/firefox.png

echo > ../%{name}.lang
%if %{build_langpacks}
# Install langpacks
%{__mkdir_p} $RPM_BUILD_ROOT/%{mozappdir}/langpacks
%{__tar} xjf %{SOURCE2}
for langpack in `ls firefox-langpacks/*.xpi`; do
  language=`basename $langpack .xpi`
  extensiondir=$RPM_BUILD_ROOT/%{mozappdir}/langpacks/langpack-$language@firefox.mozilla.org
  %{__mkdir_p} $extensiondir
  unzip $langpack -d $extensiondir
  find $extensiondir -type f | xargs chmod 644

  sed -i -e "s|browser.startup.homepage.*$|browser.startup.homepage=%{homepage}|g;" \
         $extensiondir/chrome/$language/locale/branding/browserconfig.properties

  language=`echo $language | sed -e 's/-/_/g'`
  extensiondir=`echo $extensiondir | sed -e "s,^$RPM_BUILD_ROOT,,"`
  echo "%%lang($language) $extensiondir" >> ../%{name}.lang
done
%{__rm} -rf firefox-langpacks
%endif # build_langpacks

# System extensions
%{__mkdir_p} $RPM_BUILD_ROOT%{_datadir}/mozilla/extensions/%{firefox_app_id}
%{__mkdir_p} $RPM_BUILD_ROOT%{_libdir}/mozilla/extensions/%{firefox_app_id}

# Copy over the LICENSE
%{__install} -p -c -m 644 LICENSE $RPM_BUILD_ROOT/%{mozappdir}

# ghost files
touch $RPM_BUILD_ROOT/%{mozappdir}/components/compreg.dat
touch $RPM_BUILD_ROOT/%{mozappdir}/components/xpti.dat

# jemalloc shows up sometimes, but it's not needed here, it's in XR
%{__rm} -f $RPM_BUILD_ROOT/%{mozappdir}/libjemalloc.so

# Enable crash reporter for Firefox application
%if %{include_debuginfo}
sed -i -e "s/\[Crash Reporter\]/[Crash Reporter]\nEnabled=1/" $RPM_BUILD_ROOT/%{mozappdir}/application.ini
%endif

%post
update-desktop-database &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
update-desktop-database &> /dev/null || :

%preun
# is it a final removal?
if [ $1 -eq 0 ]; then
  %{__rm} -rf %{mozappdir}/components
  %{__rm} -rf %{mozappdir}/extensions
  %{__rm} -rf %{mozappdir}/langpacks
  %{__rm} -rf %{mozappdir}/plugins
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/firefox
%doc %{_mandir}/man1/*
%dir %{_datadir}/mozilla/extensions/%{firefox_app_id}
%dir %{_libdir}/mozilla/extensions/%{firefox_app_id}
%{_datadir}/applications/mozilla-%{name}.desktop
%dir %{mozappdir}
%doc %{mozappdir}/LICENSE
%doc %{mozappdir}/README.txt
%{mozappdir}/*.properties
%{mozappdir}/chrome
%{mozappdir}/chrome.manifest
%dir %{mozappdir}/components
%ghost %{mozappdir}/components/compreg.dat
%ghost %{mozappdir}/components/xpti.dat
%{mozappdir}/components/*.so
%{mozappdir}/components/*.xpt
# %{mozappdir}/components/browser.manifest
%{mozappdir}/components/components.manifest
%{mozappdir}/components/interfaces.manifest
%attr(644, root, root) %{mozappdir}/blocklist.xml
%attr(644, root, root) %{mozappdir}/components/*.js
%{mozappdir}/defaults
%dir %{mozappdir}/extensions
%{mozappdir}/extensions/{972ce4c6-7e08-4474-a285-3208198ce6fd}
%if %{build_langpacks}
%dir %{mozappdir}/langpacks
%endif
%{mozappdir}/icons
%{mozappdir}/searchplugins
%{mozappdir}/firefox
%{mozappdir}/run-mozilla.sh
%{mozappdir}/application.ini
%dir %{mozappdir}/modules
%{mozappdir}/modules/distribution.js
%{mozappdir}/modules/openLocationLastURL.jsm
%{mozappdir}/modules/NetworkPrioritizer.jsm
%{mozappdir}/modules/NetworkHelper.jsm
%{mozappdir}/modules/PlacesUIUtils.jsm
%{mozappdir}/modules/stylePanel.jsm
%{mozappdir}/modules/tabview/
%{mozappdir}/modules/services-sync/
%{mozappdir}/modules/services-crypto/WeaveCrypto.js
%{mozappdir}/modules/domplate.jsm
%{mozappdir}/modules/PropertyPanel.jsm
%{mozappdir}/modules/HUDService.jsm
%exclude %{mozappdir}/removed-files
%{_datadir}/icons/hicolor/16x16/apps/firefox.png
%{_datadir}/icons/hicolor/22x22/apps/firefox.png
%{_datadir}/icons/hicolor/24x24/apps/firefox.png
%{_datadir}/icons/hicolor/256x256/apps/firefox.png
%{_datadir}/icons/hicolor/32x32/apps/firefox.png
%{_datadir}/icons/hicolor/48x48/apps/firefox.png
%if %{include_debuginfo}
#%{mozappdir}/crashreporter
%{mozappdir}/crashreporter-override.ini
#%{mozappdir}/Throbber-small.gif
#%{mozappdir}/plugin-container
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Jul 09 2011 Karsten Brockmann <arcam@ccux-linux.de> 5.0.1-1
- version update
* Thu Jun 16 2011 Karsten Brockmann <arcam@ccux-linux.de> 5.0-1
- version update
* Thu Apr 28 2011 Karsten Brockmann <arcam@ccux-linux.de> 4.0.1-1
- version update
* Sun Mar 20 2011 Karsten Brockmann <arcam@ccux-linux.de> 4.0-1
- regular release
* Sun Mar 20 2011 Karsten Brockmann <arcam@ccux-linux.de> 4.0rc2-1
- rc2
* Wed Mar 16 2011 Karsten Brockmann <arcam@ccux-linux.de> 4.0rc1-1
- rc1
* Sun Feb 27 2011 Karsten Brockmann <arcam@ccux-linux.de> 4.0b12-1
- beta 12
* Sun Jan 16 2011 Karsten Brockmann <arcam@ccux-linux.de> 4.0b9-1
- beta 9
- still experimental package branch
* Tue Dec 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.0b8-1
- beta 8
- experimental package branch
* Wed Sep 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.0b6-1
- Version update
- experimental package branch
* Wed Sep 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.6.10-3
- rebuilt against xulrunner 1.9.2.10
* Tue Sep 21 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.6.10-2
- rebuilt against xulrunner 1.9.2.9
* Thu Sep 16 2010 Christian Metzen <metzench@ccux-linux.de> 3.6.10-1
- Version update
- regular package branch
* Thu Sep 09 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.0b5-1
- Version update
- experimental package branch
* Thu Sep 09 2010 Christian Metzen <metzench@ccux-linux.de> 3.6.9-1
- Version update
- regular package branch
* Sun Aug 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.0b4-1
- Version update
- experimental package branch
* Sun Aug 01 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.6.8-2
- 3.6.8 for real
* Tue Jul 20 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.6.8-1
- version update
* Tue Jul 20 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.6.7-1
- version update
* Sun Jun 27 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.6.6-1
- version update
* Tue Jun 22 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.6.4-1
- version update
* Wed Apr 21 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.6.3-2
- Lorentz plugin technology preview
* Sat Apr 03 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.6.3-1
- version update
* Tue Mar 23 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.6.2-1
- version update
* Thu Jan 21 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.6-5
- final 
* Sun Jan 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.6-4
- rc2
* Thu Jan 14 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.6-3
- rc1
* Sat Dec 05 2009 Karsten Brockmann <arcam@ccux-linux.de> 3.6-2
- beta4
* Tue Nov 24 2009 Karsten Brockmann <arcam@ccux-linux.de> 3.6-1
- version update
- beta3
* Fri Nov 06 2009 Karsten Brockmann <arcam@ccux-linux.de> 3.5.5-1
- version update
* Fri Oct 30 2009 Christian Metzen <metzench@ccux-linux.de> 3.5.4-1
- Version update
* Tue Oct 06 2009 Karsten Brockmann <arcam@ccux-linux.de> 3.5.3-2
- rebuilt against xulrunner 1.9.1.3
* Sat Sep 12 2009 Karsten Brockmann <arcam@ccux-linux.de> 3.5.3-1
- version update
* Tue Aug 04 2009 Karsten Brockmann <arcam@ccux-linux.de> 3.5.2-1
- version update
* Sun Jul 19 2009 Karsten Brockmann <arcam@ccux-linux.de> 3.5.1-1
- version update
* Tue Jun 30 2009 Christian Wasem <wasem@ccux-linux.de> 3.5-5
- switch to final
* Mon Jun 29 2009 Christian Wasem <wasem@ccux-linux.de> 3.5-4
- rc3, mozconfig changes:
- ac_add_options --enable-system-cairo
- ac_add_options --enable-system-sqlite
- ac_add_options --enable-default-toolkit=cairo-qt
* Sat Jun 20 2009 Karsten Brockmann <arcam@ccux-linux.de> 3.5-3
- rc2
* Wed Jun 17 2009 Karsten Brockmann <arcam@ccux-linux.de> 3.5-2
- rc1
* Fri May 29 2009 Christian Metzen <metzench@ccux-linux.de> 3.5-1
- Version update, beta 4
* Thu Apr 30 2009 Christian Metzen <metzench@ccux-linux.de> 3.0.10-1
- Version update
* Wed Apr 22 2009 Christian Wasem <wasem@ccux-linux.de> 3.0.9-1
- Version update
* Sun Mar 29 2009 Karsten Brockmann <arcam@ccux-linux.de> 3.0.8-1
- Version update
* Thu Mar 19 2009 Karsten Brockmann <arcam@ccux-linux.de> 3.0.7-2
- rebuilt against xulrunner 1.9.0.7
* Fri Mar 06 2009 Karsten Brockmann <arcam@ccux-linux.de> 3.0.7-1
- Version update
* Wed Feb 25 2009 Karsten Brockmann <arcam@ccux-linux.de> 3.0.6-2
- rebuilt against xulrunner 1.9.0.6
* Wed Feb 04 2009 Karsten Brockmann <arcam@ccux-linux.de> 3.0.6-1
- version update
* Sun Jan 11 2009 Christian Metzen <metzench@ccux-linux.de> 3.0.5-4
- rebuild again xulrunner-1.9.0.5
* Mon Dec 22 2008 Christian Wasem <wasem@ccux-linux.de> 3.0.5-3
- removed find-external-requires script
* Sat Dec 20 2008 Christian Wasem <wasem@ccux-linux.de> 3.0.5-2
- rebuild against xulrunner 1.9.0.4
* Wed Dec 17 2008 Christian Metzen <metzench@ccux-linux.de> 3.0.5-1
- Version update
* Thu Nov 13 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.0.4-1
- Version update
* Thu Sep 26 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.0.3-1
- Version update
* Thu Sep 25 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.0.2-2
- rebuilt against xulrunner-1.9.0.1-3
* Wed Sep 24 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.0.2-1
- Version update
* Sat Aug 09 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.0.1-3
- rebuilt against xulrunner 1.9.0.1
* Fri Jul 18 2008 Christian Metzen <metzench@ccux-linux.de> 3.0.1-2
- corrected changelog
- fixed bug #27 ( langpacks incompatible )
* Thu Jul 17 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.0.1-1
- version update
* Thu Jun 19 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.0-7
- rebuilt against xulrunner 1.9 final
* Wed Jun 18 2008 Christian Metzen <metzench@ccux-linux.de> 3.0-6
- Version update to 3.0 final release
* Fri Jun 06 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.0-5
- Version update
- rc2
* Sat May 17 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.0-3
- Version update
- rc1
- temp. disabled langpacks until compatible version becomes available
* Fri May 02 2008 Christian Metzen <metzench@ccux-linux.de> 3.0-2
- version update beta5
- cleanout specfile from old firefox
- added langpacks
* Wed Apr 02 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.0-1
- Version update
- b5
- temporarily disabled ldap support and language packs
* Fri Feb 08 2008 Christian Metzen <metzench@ccux-linux.de> 2.0.0.12-1
- Version update
* Sat Dec 01 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.0.0.11-1
- Version update
- updated language packages
* Tue Nov 27 2007 Christian Metzen <metzench@ccux-linux.de> 2.0.0.10-1
- Version update
* Fri Nov 02 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.0.0.9-2
- tweaked network defaults for faster browsing experience
* Fri Nov 02 2007 Christian Metzen <metzench@ccux-linux.de> 2.0.0.9-1
- Version update
* Fri Oct 19 2007 Christian Metzen <metzench@ccux-linux.de> 2.0.0.8-1
- Version update
* Mon Oct 08 2007 Christian Metzen <metzench@ccux-linux.de> 2.0.0.7-1
- Version update
* Tue Jul 31 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.0.0.6-1
- Version update
* Sun Jul 29 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.0.0.5-1
- Version update
* Thu May 31 2007 Christian Metzen <metzench@ccux-linux.de> 2.0.0.4-1
- Version update
* Sun May 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.0.0.3-1
- Version update
* Sat Feb 24 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.0.0.2-1
- Version update
* Wed Dec 20 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.0.0.1-1
- Version update
* Sun Oct 29 2006 Christian Metzen <metzench@ccux-linux.de> 2.0-2
- refined specfile
* Fri Oct 27 2006 Christian Metzen <metzench@ccux-linux.de> 2.0-1
- Version update
* Thu Oct 05 2006 Christian Metzen <metzench@ccux-linux.de> 1.5.0.7-3
- added firefox.conf in sources, removed pre and post actions for that, should be cleaner
* Wed Oct 04 2006 Stefan Gottwald <gotti@ccux-linux.de> 1.5.0.7-2
- added some links (/usr/lib/firefox and /usr/include/firefox)
- added ld.so.conf.d entry for usage of firefox libs in extern applications
* Thu Sep 21 2006 Christian Metzen <metzench@ccux-linux.de> 1.5.0.7-1
- Version update
* Sat Aug 05 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.5.0.6-1
- version update
* Fri Jul 28 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.5.0.5-1
- version update
* Sun Jun 4 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.5.0.4-1
- version update
* Tue May 02 2006 Christian Wasem <wasem@ccux-linux.de> 1.5.0.3-1
- Update to Version 1.5.0.3, removed all i18n packages
* Mon May 01 2006 Christian Wasem <wasem@ccux-linux.de> 1.5.0.2-3
- removing locale_switcher dependency on language packages
* Mon Apr 17 2006 Christian Wasem <wasem@ccux-linux.de> 1.5.0.2-2
- tweaked specfile, added ko, mk and pa_IN language package
* Fri Apr 14 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.5.0.2-1
- Version Update
* Wed Apr 05 2006 Christian Wasem <wasem@ccux-linux.de> 1.5.0.1-9
- tweaked specfile
* Tue Mar 28 2006 Christian Wasem <wasem@ccux-linux.de> 1.5.0.1-8
- added typeahead patch for epiphany (GNOME)
* Thu Mar 16 2006 Christian Wasem <wasem@ccux-linux.de> 1.5.0.1-7
- tweaked specfile, added language support
* Sat Mar 11 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.5.0.1-6
- fixed pkgconfig entries, added mozilla-*.pc symlinks
* Thu Mar 09 2006 Christian Wasem <wasem@ccux-linux.de> 1.5.0.1-5
- rebuild against separate nss and nspr packages
* Wed Mar 08 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.5.0.1-4
- added ldap and nss headerfiles
* Wed Mar 08 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.5.0.1-3
- added ldap support (openoffice can't live without that)
* Sun Mar 05 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.5.0.1-2
- cleaned up spec file, added -devel package
* Sun Feb 05 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.5.0.1-1
- Version Update
* Mon Sep 26 2005 Christian Metzen <metzench@ccux-linux.de> 1.0.7-2
- Rebuild against newest gtk
* Thu Sep 22 2005 Christian Metzen <metzench@ccux-linux.de> 1.0.7-1
- Version update
* Wed Jul 20 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 1.0.6-1
- Version Update
* Thu Jul 14 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 1.0.5-1
- Version Update
* Tue Jun 21 2005 Christian Metzen <metzench@ccux-linux.de> 1.0.4-4
- Fixed minor Bug, changed default Startpage
* Mon Jun 20 2005 Christian Metzen <metzench@ccux-linux.de> 1.0.4-3
- Completely changed build provedure, added more Patches, too much to document
* Sun Jun 19 2005 Christian Metzen <metzench@ccux-linux.de> 1.0.4-2
- Added some more Customization Patches (pango, freetype)
* Thu May 12 2005 Christian Metzen <metzench@ccux-linux.de> 1.0.4-1
- Version update to 1.0.4
* Sat Apr 16 2005 Christian Metzen <metzench@ccux-linux.de> 1.0.3-1
- Version Update to 1.0.3
* Thu Mar 24 2005 Christian Metzen <metzench@ccux-linux.de> 1.0.2-1
- Version Update to 1.0.2
* Sat Feb 26 2005 Christian Metzen <metzench@ccux-linux.de> 1.0.1-1
- Version Update to 1.0.1
* Wed Feb 23 2005 Christian Metzen <metzench@ccux-linux.de> 1.0-7
- Removed Freeytype, Moved .desktop Location, tweaked Specfile
* Fri Jan 21 2005 Christian Metzen <metzench@ccux-linux.de> 1.0-6
- Removed StartUp Notification for KDE, works better with new Start Script
* Fri Jan 14 2005 Christian Metzen <metzench@ccux-linux.de> 1.0-5
- Added FireFox Start Skript that checks for already running Instance
* Sat Dec 08 2004 Christian Metzen <metzench@ccux-linux.de> 1.0-4
- Added Update Patch
* Mon Dec 03 2004 Christian Metzen <metzench@ccux-linux.de> 1.0-3
- Fixed Firefox StartUp Behaviour
* Mon Dec 03 2004 Christian Metzen <metzench@ccux-linux.de> 1.0-2
- Added MultiUser Setup and Re-added Freetype
* Mon Dec 03 2004 Christian Metzen <metzench@ccux-linux.de> 1.0-1
- Version Update to 1.0
